from django.core.management.base import BaseCommand

from sat_automations.affiliate_automation.models import CardRequest


class Command(BaseCommand):
    @staticmethod
    def clean_duplicates(cr1: CardRequest):
        objs = CardRequest.objects.filter(
            sponsor=cr1.sponsor,
            card_type=cr1.card_type,
            date_created=cr1.date_created,
            details=cr1.details,
        )
        if objs.count() > 1:
            # Remove all but one
            for objs in objs[1:]:
                objs.delete()

    def handle(self, *args, **options):
        cr_objs = CardRequest.objects.all()
        self.stdout.write(
            self.style.SUCCESS(f"Cleaning {cr_objs.count()} Card Requests of duplicates")
        )

        for obj in cr_objs:
            self.clean_duplicates(obj)

        self.stdout.write(self.style.SUCCESS(f"{cr_objs.count()} Card requests remain."))
