# Generated by Django 4.2.11 on 2024-04-09 16:01

import django.db.models.deletion
import django.utils.timezone
import model_utils.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Sponsor",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                (
                    "created",
                    model_utils.fields.AutoCreatedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    model_utils.fields.AutoLastModifiedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="modified"
                    ),
                ),
                ("name", models.CharField(max_length=128)),
                ("email", models.EmailField(max_length=254)),
                ("unity_id", models.CharField(max_length=16)),
            ],
            options={
                "indexes": [
                    models.Index(fields=["name", "email"], name="affiliate_a_name_a26e11_idx")
                ],
                "unique_together": {("email", "unity_id")},
            },
        ),
        migrations.CreateModel(
            name="CardRequest",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                (
                    "created",
                    model_utils.fields.AutoCreatedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    model_utils.fields.AutoLastModifiedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="modified"
                    ),
                ),
                ("date_created", models.DateTimeField(null=True)),
                (
                    "card_type",
                    models.CharField(
                        choices=[
                            ("VI", "Visitor"),
                            ("AF", "Affiliate"),
                            ("CP", "Corporate Partner"),
                            ("CO", "Contractor"),
                            ("VS", "Visitor (Self Pay)"),
                        ],
                        max_length=2,
                    ),
                ),
                ("details", models.JSONField(null=True)),
                (
                    "sponsor",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="affiliate_automation.sponsor",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Cardholder",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                (
                    "created",
                    model_utils.fields.AutoCreatedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    model_utils.fields.AutoLastModifiedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="modified"
                    ),
                ),
                ("first_name", models.CharField(max_length=128)),
                ("last_name", models.CharField(max_length=128)),
                ("email", models.EmailField(max_length=254, unique=True)),
                ("campus_id", models.CharField(max_length=9, null=True)),
                ("ccure_id", models.IntegerField(null=True)),
                (
                    "card_request",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="affiliate_automation.cardrequest",
                    ),
                ),
            ],
        ),
        migrations.AddIndex(
            model_name="cardrequest",
            index=models.Index(
                fields=["sponsor", "card_type"], name="affiliate_a_sponsor_076c68_idx"
            ),
        ),
        migrations.AddIndex(
            model_name="cardholder",
            index=models.Index(
                fields=["first_name", "last_name", "email"], name="affiliate_a_first_n_038607_idx"
            ),
        ),
    ]
