from datetime import datetime

import pytest

from sat_automations.affiliate_automation.models import Cardholder, CardRequest, Sponsor

pytestmark = pytest.mark.django_db
now = datetime.now()


def test_create_objects():
    prior_count = Sponsor.objects.count()
    new_sponsor = Sponsor.objects.create(
        name="some sponsor", email="sponsoremail@email.okay", unity_id="sponso9"
    )
    assert Sponsor.objects.count() == prior_count + 1

    prior_count = Cardholder.objects.count()
    cardholder = Cardholder.objects.create(
        first_name="some",
        last_name="affiliate",
        email="affiliateemail@email.okay",
        ccure_id=5001,
    )
    assert Cardholder.objects.count() == prior_count + 1

    prior_count = CardRequest.objects.count()
    card_request = CardRequest.objects.create(
        date_created=now, sponsor=new_sponsor, card_type="CP", details="okay."
    )
    card_request.cardholders.set([cardholder])
    card_request.save()
    assert CardRequest.objects.count() == prior_count + 1
