from django.urls import include, path
from rest_framework import routers

from sat_automations.acs_journal.views import JournalViewSet
from sat_automations.affiliate_automation.views import (
    CardholderViewSet,
    CardRequestViewSet,
    SponsorViewSet,
)
from sat_automations.disablement_automation.views import DisablementViewSet
from sat_automations.housing_automation.views import LogViewSet

router_v1 = routers.DefaultRouter()
router_v1.register(r"disablement", DisablementViewSet, basename="disablement")
router_v1.register(r"assign-revoke/log", LogViewSet, basename="arlog")
router_v1.register(r"acs-journal", JournalViewSet, basename="acs-journal")
router_v1.register(r"card-request/sponsor", SponsorViewSet, basename="card-request-sponsor")
router_v1.register(
    r"card-request/cardholder", CardholderViewSet, basename="card-request-cardholder"
)
router_v1.register(r"card-request/request", CardRequestViewSet, basename="card-request")

urlpatterns = [
    path("v1/", include(router_v1.urls)),
    path("api-auth/", include("rest_framework.urls", namespace="rest_framework")),
]
