# Generated by Django 4.2.11 on 2024-06-25 14:19

import django.utils.timezone
import model_utils.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("asset_automation", "0004_alter_asset_address_alter_asset_building_abbr_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="Personnel",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                (
                    "created",
                    model_utils.fields.AutoCreatedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    model_utils.fields.AutoLastModifiedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="modified"
                    ),
                ),
                (
                    "personnel_id",
                    models.CharField(db_index=True, default=None, max_length=32, unique=True),
                ),
                ("personnel_guid", models.CharField(blank=True, max_length=100, null=True)),
                ("first_name", models.CharField(blank=True, max_length=100, null=True)),
                ("last_name", models.CharField(blank=True, max_length=100, null=True)),
                ("middle_name", models.CharField(blank=True, max_length=100, null=True)),
                ("email", models.CharField(blank=True, max_length=100, null=True)),
                ("campus_id", models.CharField(blank=True, max_length=100, null=True)),
                ("personnel_type", models.CharField(blank=True, max_length=100, null=True)),
                ("last_modified_time", models.DateTimeField()),
                ("department", models.CharField(blank=True, max_length=100, null=True)),
                ("classification", models.CharField(blank=True, max_length=100, null=True)),
                ("cidc", models.CharField(blank=True, max_length=100, null=True)),
                ("patron_id", models.CharField(blank=True, max_length=100, null=True)),
                ("prox_card_id", models.CharField(blank=True, max_length=100, null=True)),
                ("disabled", models.CharField(blank=True, max_length=100, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="Project",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                (
                    "created",
                    model_utils.fields.AutoCreatedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    model_utils.fields.AutoLastModifiedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="modified"
                    ),
                ),
                (
                    "project_id",
                    models.CharField(db_index=True, default=None, max_length=32, unique=True),
                ),
                ("effective_date", models.DateTimeField()),
                ("start_date", models.DateTimeField()),
                ("end_date", models.DateTimeField()),
                ("project_name", models.CharField(blank=True, max_length=100, null=True)),
                ("project_reference", models.CharField(blank=True, max_length=32, null=True)),
                (
                    "project_segment_reference",
                    models.CharField(blank=True, max_length=32, null=True),
                ),
                ("effective_status", models.CharField(blank=True, max_length=32, null=True)),
                ("responsible", models.CharField(blank=True, max_length=32, null=True)),
                ("fund_code", models.CharField(blank=True, max_length=32, null=True)),
                ("department_id", models.CharField(blank=True, max_length=32, null=True)),
                ("program_code", models.CharField(blank=True, max_length=32, null=True)),
                ("class_field", models.CharField(blank=True, max_length=32, null=True)),
                ("long_description", models.CharField(blank=True, max_length=600, null=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.RenameField(
            model_name="asset",
            old_name="address",
            new_name="other_type",
        ),
        migrations.RenameField(
            model_name="asset",
            old_name="building_abbr",
            new_name="room_code",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="building_name",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="building_number",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="campus",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="charge",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="door_lock_relay_comments",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="door_lock_relay_guid",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="door_lock_relay_name",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="door_lock_relay_type",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="door_switch_comments",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="door_switch_guid",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="door_switch_name",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="door_switch_type",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="feed",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="first_event",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="floor_code",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="latitude",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="loc_area_id",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="loc_region_id",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="loc_street_id",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="location_type",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="longitude",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="partition_comments",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="partition_guid",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="partition_name",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="partition_type",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="port",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="reader_in_comments",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="reader_in_guid",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="reader_in_name",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="reader_in_type",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="reader_out_comments",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="reader_out_guid",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="reader_out_name",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="reader_out_type",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="req_to_exit_comments",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="req_to_exit_guid",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="req_to_exit_name",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="req_to_exit_type",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="room_number",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="room_ouc",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="room_ouc_name",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="room_usage",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="server_addr",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="sims_location",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="type",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="video_unit_firmware",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="video_unit_guid",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="video_unit_manufacturer",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="video_unit_model",
        ),
        migrations.RemoveField(
            model_name="asset",
            name="video_unit_name",
        ),
        migrations.AddField(
            model_name="asset",
            name="building_abbreviation",
            field=models.CharField(blank=True, max_length=10, null=True),
        ),
        migrations.CreateModel(
            name="FMILocation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                (
                    "created",
                    model_utils.fields.AutoCreatedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    model_utils.fields.AutoLastModifiedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="modified"
                    ),
                ),
                ("building_abbr", models.CharField(blank=True, max_length=100)),
                ("building_number", models.CharField(blank=True, max_length=100)),
                ("building_name", models.CharField(blank=True, max_length=100)),
                ("address", models.CharField(blank=True, max_length=100, null=True)),
                ("city", models.CharField(blank=True, max_length=100, null=True)),
                ("county", models.CharField(blank=True, max_length=100, null=True)),
                ("state", models.CharField(blank=True, max_length=100, null=True)),
                ("zip", models.CharField(blank=True, max_length=100, null=True)),
                ("country", models.CharField(blank=True, max_length=100, null=True)),
                ("residence_type", models.CharField(blank=True, max_length=100, null=True)),
                ("use", models.CharField(blank=True, max_length=100, null=True)),
                ("condition", models.CharField(blank=True, max_length=100, null=True)),
                ("status", models.CharField(blank=True, max_length=100, null=True)),
                ("campus", models.CharField(blank=True, max_length=100, null=True)),
                ("latitude", models.CharField(blank=True, max_length=100, null=True)),
                ("longitude", models.CharField(blank=True, max_length=100, null=True)),
                ("site_code", models.CharField(blank=True, max_length=100, null=True)),
                ("funding_type", models.CharField(blank=True, max_length=100, null=True)),
            ],
            options={
                "unique_together": {("building_abbr", "building_number")},
            },
        ),
    ]
