# Generated by Django 4.2.4 on 2023-10-12 13:18

import django.utils.timezone
import model_utils.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="DisablementTracker",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                (
                    "created",
                    model_utils.fields.AutoCreatedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    model_utils.fields.AutoLastModifiedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="modified"
                    ),
                ),
                ("campus_id", models.CharField(max_length=32, unique=True)),
                ("ccure_object_id", models.IntegerField(blank=True, null=True)),
                ("ccure_guid", models.CharField(blank=True, max_length=40, null=True)),
                ("ccure_name", models.CharField(blank=True, max_length=255, null=True)),
                ("ccure_personnel_id", models.IntegerField(blank=True, null=True)),
                ("disabled_in_ccure", models.BooleanField(default=False)),
                (
                    "peoplesoft_status",
                    models.CharField(
                        choices=[
                            ("ACT", "Active"),
                            ("IAC", "Inactive"),
                            ("NIP", "Not in PeopleSoft"),
                        ],
                        default="ACT",
                        max_length=3,
                    ),
                ),
                ("message", models.TextField(blank=True, null=True)),
            ],
            options={
                "verbose_name": "DisablementTracker",
                "verbose_name_plural": "Disablement Trackers",
                "indexes": [
                    models.Index(
                        fields=["campus_id", "peoplesoft_status", "ccure_name"],
                        name="disablement_campus__36b18a_idx",
                    )
                ],
            },
        ),
    ]
