from django.core.management.base import BaseCommand

from sat_automations.housing_automation.models import AssignRevokeLog, AssignRevokeTracker
from sat_automations.utils.managers import BulkCreateManager


def zfill_campus_id():
    """Pad campus_id with leading zeros"""
    bcm = BulkCreateManager(update_fields=["campus_id"])
    for log in AssignRevokeLog.objects.all():
        log.campus_id = log.campus_id.zfill(9)
        bcm.update(log)

    for tracker in AssignRevokeTracker.objects.all():
        tracker.campus_id = tracker.campus_id.zfill(9)
        bcm.update(tracker)
    bcm.done()


class Command(BaseCommand):
    help = "Pad campus_id with leading zeros"

    def handle(self, *args, **options):
        zfill_campus_id()
