# Generated by Django 4.2.2 on 2023-07-04 14:40

import django.utils.timezone
import model_utils.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="AssignRevokeLog",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                (
                    "created",
                    model_utils.fields.AutoCreatedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    model_utils.fields.AutoLastModifiedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="modified"
                    ),
                ),
                ("campus_id", models.IntegerField()),
                ("building_code", models.CharField(max_length=64)),
                (
                    "clearance_type",
                    models.CharField(
                        choices=[("assign", "Assign"), ("revoke", "Revoke")], max_length=6
                    ),
                ),
                (
                    "status",
                    models.CharField(choices=[("pass", "Pass"), ("fail", "Fail")], max_length=4),
                ),
                (
                    "message",
                    models.CharField(
                        choices=[
                            ("BC_NF", "Building code not found"),
                            ("BC_NC", "Building code has no clearance"),
                            ("FC", "Failed Clearance Assignment Operation"),
                            ("SC", "Successful Clearance Assignment Operation"),
                        ],
                        max_length=5,
                    ),
                ),
                ("extra_info", models.TextField(blank=True, null=True)),
            ],
            options={
                "verbose_name": "Assign/Revoke Log",
                "verbose_name_plural": "Assign/Revoke Logs",
                "indexes": [
                    models.Index(
                        fields=["campus_id", "building_code"], name="housing_aut_campus__04fdb0_idx"
                    )
                ],
            },
        ),
    ]
