# Generated by Django 4.2.11 on 2024-05-09 18:44

import django.db.models.deletion
import django.utils.timezone
import model_utils.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("housing_automation", "0013_alter_roomusecode_clearances"),
    ]

    operations = [
        migrations.CreateModel(
            name="ARLog",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                (
                    "created",
                    model_utils.fields.AutoCreatedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    model_utils.fields.AutoLastModifiedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="modified"
                    ),
                ),
                ("campus_id", models.CharField(max_length=9)),
                ("action_date", models.DateField()),
                (
                    "action_type",
                    models.CharField(
                        blank=True,
                        choices=[("assign", "Assign"), ("revoke", "Revoke")],
                        max_length=6,
                        null=True,
                    ),
                ),
                ("peoplesoft_action_dttm", models.DateTimeField(null=True)),
                ("action_success", models.BooleanField(null=True)),
                (
                    "action_message",
                    models.CharField(
                        blank=True,
                        choices=[
                            ("BC_NF", "Building code not found"),
                            ("BC_NC", "Building code has no clearance"),
                            ("FC", "Failed Clearance Assignment Operation"),
                            ("SC", "Successful Clearance Assignment Operation"),
                        ],
                        max_length=5,
                        null=True,
                    ),
                ),
                ("action_error_information", models.TextField(blank=True, null=True)),
                (
                    "ruc",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        to="housing_automation.roomusecode",
                    ),
                ),
            ],
            options={
                "verbose_name": "Housing Log",
            },
        ),
        migrations.CreateModel(
            name="UnmanagedBuildings",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                (
                    "created",
                    model_utils.fields.AutoCreatedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    model_utils.fields.AutoLastModifiedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="modified"
                    ),
                ),
                ("prefix", models.CharField(max_length=10)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.AlterField(
            model_name="clearance",
            name="created",
            field=model_utils.fields.AutoCreatedField(
                default=django.utils.timezone.now, editable=False, verbose_name="created"
            ),
        ),
        migrations.AlterField(
            model_name="clearance",
            name="modified",
            field=model_utils.fields.AutoLastModifiedField(
                default=django.utils.timezone.now, editable=False, verbose_name="modified"
            ),
        ),
        migrations.DeleteModel(
            name="HistoricalClearance",
        ),
        migrations.AddIndex(
            model_name="arlog",
            index=models.Index(fields=["campus_id"], name="housing_aut_campus__781037_idx"),
        ),
        migrations.AddConstraint(
            model_name="arlog",
            constraint=models.UniqueConstraint(
                fields=("campus_id", "action_date", "action_type", "ruc"), name="unique action"
            ),
        ),
    ]
