from datetime import datetime, timedelta

YESTERDAY = datetime.now() - timedelta(days=1)
TODAY = datetime.now()
DAY_AFTER_TOMORROW = datetime.now() + timedelta(days=2)


def get_positive_delta(days: int = 1):
    return f"{(datetime.now() + timedelta(days=days)).date()}"


def get_negative_delta(days: int = 1):
    return f"{(datetime.now() - timedelta(days=days)).date()}"


PEOPLESOFT_RESPONSE_EXAMPLES = [
    {
        "campus_id": "200536401",
        "strm": "2237",
        "building": "Owen",
        "room_second_description": "Owen-034",
        "move_in_date": f"{YESTERDAY}",
        "move_out_date": f"{DAY_AFTER_TOMORROW}",
        "action_dttm": "2023-06-20T09:33:57",
        "room_descriptionaddress_1": "Double",
        "address_2": "04417 Owen Hall",
        "city": "2720 Cates Avenue",
        "zipcode": "Raleigh",
        "state": "27607",
        "DESCR50": "NC",
    },
    {
        "campus_id": "200536403",
        "strm": "2237",
        "building": "Owen",
        "room_second_description": "Owen-036",
        "move_in_date": f"{TODAY}",
        "move_out_date": f"{DAY_AFTER_TOMORROW}",
        "action_dttm": "2023-06-20T09:33:57",
        "room_descriptionaddress_1": "Double",
        "address_2": "04417 Owen Hall",
        "city": "2720 Cates Avenue",
        "zipcode": "Raleigh",
        "state": "27607",
        "DESCR50": "NC",
    },
    # No Building Found
    {
        "campus_id": "200536406",
        "strm": "2237",
        "building": "Owen",
        "room_second_description": "ABC123",
        "move_in_date": f"{TODAY}",
        "move_out_date": f"{DAY_AFTER_TOMORROW}",
        "action_dttm": "2023-06-20T09:33:57",
        "room_descriptionaddress_1": "Double",
        "address_2": "04417 Owen Hall",
        "city": "2720 Cates Avenue",
        "zipcode": "Raleigh",
        "state": "27607",
        "DESCR50": "NC",
    },
    {
        "campus_id": "200536407",
        "strm": "2237",
        "building": "Owen",
        "room_second_description": "Grk Vlg-2M-335",
        "move_in_date": f"{TODAY}",
        "move_out_date": f"{TODAY}",
        "action_dttm": "2023-06-20T09:33:57",
        "room_descriptionaddress_1": "Double",
        "address_2": "04417 Owen Hall",
        "city": "2720 Cates Avenue",
        "zipcode": "Raleigh",
        "state": "27607",
        "DESCR50": "NC",
    },
]

PEOPLESOFT_RESPONSE_EXAMPLES_PLUS_DUPS = PEOPLESOFT_RESPONSE_EXAMPLES + [
    {
        "campus_id": "200536401",
        "strm": "2237",
        "building": "Owen",
        "room_second_description": "Owen-034",
        "move_in_date": f"{YESTERDAY}",
        "move_out_date": f"{DAY_AFTER_TOMORROW}",
        "action_dttm": "2023-06-20T09:33:57",
        "room_descriptionaddress_1": "Double",
        "address_2": "04417 Owen Hall",
        "city": "2720 Cates Avenue",
        "zipcode": "Raleigh",
        "state": "27607",
        "DESCR50": "NC",
    },
    {
        "campus_id": "200536403",
        "strm": "2237",
        "building": "Owen",
        "room_second_description": "Owen-036",
        "move_in_date": f"{TODAY}",
        "move_out_date": f"{DAY_AFTER_TOMORROW}",
        "action_dttm": "2023-06-20T09:33:57",
        "room_descriptionaddress_1": "Double",
        "address_2": "04417 Owen Hall",
        "city": "2720 Cates Avenue",
        "zipcode": "Raleigh",
        "state": "27607",
        "DESCR50": "NC",
    },
]
