from datetime import datetime

from sat_automations.image_update_automation.tasks import ImageUpdate
from sat_automations.image_update_automation.tests.fixtures import mock_get_images


def test_get_images(monkeypatch, mocker):
    mocker.patch("sat_automations.image_update_automation.tasks.get_db_connection")
    mocker.patch("sat_automations.image_update_automation.tasks.SlackChannel")
    mocker.patch("sat_automations.image_update_automation.tasks.get_acslib_connection")
    monkeypatch.setattr(ImageUpdate, "_get_recently_updated_images", mock_get_images)
    records = ImageUpdate()._get_recently_updated_images()
    assert isinstance(records, list)
    campus_id, image, last_update = records[0]
    assert isinstance(campus_id, int)
    assert isinstance(image.read(), bytes)
    assert isinstance(last_update, datetime)
