from sat.db import ConnectionType, SatDBException, get_db_connection
from sat.logs import SATLogger

from sat_automations.utils.common.connection import (
    CCURE_CONNECTION,
    CSPRD_CONNECTION,
    DIESTER_CONNECTION,
    FEED_CONNECTION,
    FMI_CONNECTION,
    FORPT_CONNECTION,
    HRPD_CONNECTION,
)

logger = SATLogger(__name__)


class Personnel:
    def __init__(self) -> None:
        try:
            self.ccure_conn = get_db_connection(ConnectionType.SQL, conn_string=CCURE_CONNECTION)
            self.feed_db_conn = get_db_connection(ConnectionType.SQL, conn_string=FEED_CONNECTION)
            self.fmi_conn = get_db_connection(ConnectionType.SQL, conn_string=FMI_CONNECTION)
            self.diester_conn = get_db_connection(
                ConnectionType.SQL, conn_string=DIESTER_CONNECTION
            )
            self.peoplesoft_hrprd_conn = get_db_connection(
                ConnectionType.CX_ORACLE, conn_dict=HRPD_CONNECTION
            )
            self.peoplesoft_csprd_conn = get_db_connection(
                ConnectionType.CX_ORACLE, conn_dict=CSPRD_CONNECTION
            )
            self.peoplesoft_forpt_conn = get_db_connection(
                ConnectionType.CX_ORACLE, conn_dict=FORPT_CONNECTION
            )

        except SatDBException as error:
            logger.error(f"{error}")
            raise ConnectionError(f"Unable to connect to database: {error}")
