import pytest

from sat_automations.housing_automation.models import ARLog
from sat_automations.utils.managers import BulkCreateManager

pytestmark = pytest.mark.django_db


def test_bulk_create_manager(random_assign_revoke_log):
    bcm = BulkCreateManager()
    for log in random_assign_revoke_log(count=99):
        bcm.add(log)
    # At 99 objects the manager should not have created anything yet.
    assert ARLog.objects.count() == 0
    bcm.add(random_assign_revoke_log())
    # At 100 objects the manager should have created everything.
    assert ARLog.objects.count() == 100


def test_bulk_create_done(random_assign_revoke_log):
    bcm = BulkCreateManager()
    for log in random_assign_revoke_log(count=99):
        bcm.add(log)
    # At 99 objects the manager should not have created anything yet.
    assert ARLog.objects.count() == 0
    bcm.done()
    # Calling done should create the remaining objects.
    assert ARLog.objects.count() == 99
